[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonDef.OnCreateInstance

Event called when a daemon in instantiated

## Declaration

Source position: daemonapp.pp line 245

`published property TDaemonDef.OnCreateInstance : TNotifyEvent read FOnCreateInstance write FOnCreateInstance;`

## Description

OnCreateInstance is called whenever an instance of the daemon is created. This can be used for instance when a single TDaemon class is used to run several services, to correctly initialize the TDaemon.

Documentation generated on: Feb 26 2014